"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const ProgressIndicator = ({ percentage, barStyle = {}, barContainerStyle = {}, percentageTextStyle = {}, percentText = "", }) => {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { style: Object.assign(Object.assign({}, styles.baseBarContainer), barContainerStyle) },
            react_1.default.createElement("div", { style: Object.assign(Object.assign(Object.assign({}, styles.baseBar), barStyle), { width: `calc(${percentage >= 100 ? 100 : percentage <= 0 ? 0 : percentage}% - 0.8rem)` }) })),
        react_1.default.createElement("p", { style: Object.assign(Object.assign({}, styles.percentageText), percentageTextStyle) }, percentText
            ? percentText
            : `${percentage >= 100 ? 100 : percentage <= 0 ? 0 : percentage}%`)));
};
const styles = {
    baseBar: {
        backgroundColor: "green",
        borderRadius: "2rem",
        padding: "0.4rem",
        transition: "width 0.5s",
    },
    baseBarContainer: {
        width: "calc(100% - 1.2rem)",
        border: "0.1rem solid green",
        borderRadius: "2rem",
        padding: "0.2rem",
    },
    percentageText: {
        textAlign: "center",
    },
};
exports.default = ProgressIndicator;
